Subject: Re: [bug#36628] [PATCH 1/2] gnu: pngcrush: fix typo in description

From: Arne Babenhauserheide <[email-masked]>
Date: Sat, 13 Jul 2019 09:12:56 +0200

Tobias Geerinckx-Rice <[email-masked]> writes:

> Arne,
>
> Arne Babenhauserheide wrote:
>> * gnu/packages/image.scm (pngcrush): fix typo in description
>> ---
>>  gnu/packages/image.scm | 2 +-
>>  1 file changed, 1 insertion(+), 1 deletion(-)
>>
>> diff --git a/gnu/packages/image.scm b/gnu/packages/image.scm
>> index 511f5302b7..b465ff376e 100644
>> --- a/gnu/packages/image.scm
>> +++ b/gnu/packages/image.scm
>> @@ -250,7 +250,7 @@ APNG patch provides APNG support to libpng.")
>>        ("zlib" , zlib)))
>>     (home-page "https://pmt.sourceforge.io/pngcrush")
>>     (synopsis "Utility to compress PNG files")
>> -   (description "pngcrusqh is an optimizer for PNG (Portable
>> Network Graphics)
>> +   (description "pngcrush is an optimizer for PNG (Portable Network
>> Graphics)
>>  files.  It can compress them as much as 40% losslessly.")
>>     (license license:zlib)))
>
> Thanks!  I was going to quickly apply these two before sleepytimes but
> noticed that your other patch changes the description (only) to begin
> with a capital letter, while this one remains lowercase. Is that
> deliberate?

For the other one guix lint complained, here it did not (maybe because
it started with exactly the package name?). That’s the only reason.

> I also couldn't help myself and kept editing...  What do you think of
> the following?  (It's still awfully short but that's another issue.)
>
> --- a/gnu/packages/image.scm
> +++ b/gnu/packages/image.scm
> @@ -250,8 +250,8 @@ APNG patch provides APNG support to libpng.")
>       ("zlib" , zlib)))
>    (home-page "https://pmt.sourceforge.io/pngcrush")
>    (synopsis "Utility to compress PNG files")
> -   (description "pngcrusqh is an optimizer for PNG (Portable  Network
> Graphics)
> -files.  It can compress them as much as 40% losslessly.")
> +   (description "Pngcrush optimizes @acronym{PNG, Portable Network
> Graphics}
> +images.  It can losslessly compress files by as much as an additional
> 40%.")
>    (license license:zlib)))

That sounds better. I think the correct English is "compress losslessly"
and not "losslessly compress", but aside from that it’s much more crisp.

I don’t think that being short is a problem, rather the opposite: if
it’s easy to read and provides the information needed, short is
often better.

So go for it! :)

Best wishes,
Arne
--
Unpolitisch sein
heißt politisch sein
ohne es zu merken